safe_mysqld(1)

NAME
mysqld_safe - start the mysqld daemon on Unix.

SYNOPSIS
mysqld_safe [--basedir=path] [--core-file-size=#] [--defaults-extra-file=path] [--defaults-file=path] [--open-files=#] [--datadir=path] [--err-log=path] [--ledir=path] [--log=path] [--no-defaults] [--open-files=#] [--pid-file=path] [--port=#] [--socket=path] [--timezone=#] [--user=#]

DESCRIPTION
mysqld_safe adds some safety features such as restarting the server when an error occurs and logging run-time information to a log file.

--basedir=path

--core-file-size=#
    Size of the core file mysqld should be able to create. Passed to ulimit -c.

--defaults-extra-file=path

--defaults-file=path

--datadir=path

--err-log=path

--ledir=path
    Path to mysqld

--log=path

--no-defaults

--open-files=#
    Number of files mysqld should be able to open. Passed to ulimit -n.

--pid-file=path

--port=#

--socket=path

--timezone=#
    Set the timezone (the TZ) variable to the value of this parameter.

--user=#

NOTE
Note that all options on the command line to mysqld_safe are passed to mysqld. If you wants to use any options in mysqld_safe that mysqld doesn't support, you must specify these in the option file.

SEE ALSO
isamchk(1), isamlog(1), mysql(1), mysqlaccess(1), mysqladmin(1), mysqld(1), mysqld_multi(1), mysqldump(1), mysql_fix_privilege_tables(1), mysqlshow(1), mysql_zap(1), perror(1), replace(1)

For more information please refer to the MySQL reference manual, which may already be installed locally and which is also available online at http://www.mysql.com/doc/en/

BUGS
Please refer to http://bugs.mysql.com/ to report bugs.

AUTHOR
Ver 1.0, distribution 4.0.24 Michael (Monty) Widenius (monty@mysql.com), MySQL AB (http://www.mysql.com). This software comes with no warranty. Manual page by L. (Kill-9) Pedersen (kill-9@kill-9.dk), Mercurmedia Data Model Architect / system developer (http://www.mercurmedia.com)